<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: StomachItem Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d9e/class_stomach_item.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">StomachItem Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab2fdb9994ce5f0e5e3b3bae3009335a6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#ab2fdb9994ce5f0e5e3b3bae3009335a6">StomachItem</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> amount, <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a> profile, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> foodstage, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> agents)</td></tr>
<tr class="separator:ab2fdb9994ce5f0e5e3b3bae3009335a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7960077b90dd472b3f11ccfa065124ef"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#a7960077b90dd472b3f11ccfa065124ef">GetClassName</a> ()</td></tr>
<tr class="separator:a7960077b90dd472b3f11ccfa065124ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26e6422ca538f2673c6938250ec3f397"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#a26e6422ca538f2673c6938250ec3f397">GetFoodStage</a> ()</td></tr>
<tr class="separator:a26e6422ca538f2673c6938250ec3f397"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d0b3cb146a12a233c5b01783a68c523"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#a3d0b3cb146a12a233c5b01783a68c523">SetFoodStage</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> food_stage)</td></tr>
<tr class="separator:a3d0b3cb146a12a233c5b01783a68c523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65c0eca6339c452c19b82494c289c5a8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#a65c0eca6339c452c19b82494c289c5a8">GetAmount</a> ()</td></tr>
<tr class="separator:a65c0eca6339c452c19b82494c289c5a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9e616373cc7ef2d0ebd537fd61ee217"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#ad9e616373cc7ef2d0ebd537fd61ee217">AddAmount</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> amount)</td></tr>
<tr class="separator:ad9e616373cc7ef2d0ebd537fd61ee217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade6344a006d824fc08ee3117a34f2abf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#ade6344a006d824fc08ee3117a34f2abf">AddAgents</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> agents)</td></tr>
<tr class="separator:ade6344a006d824fc08ee3117a34f2abf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f2840c5f65dd814fba9ad09ce4a69db"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#a8f2840c5f65dd814fba9ad09ce4a69db">ProcessDigestion</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> digestion_points, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> water, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> energy, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> toxicity, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> volume, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> agents, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> consumed_amount)</td></tr>
<tr class="separator:a8f2840c5f65dd814fba9ad09ce4a69db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a495710f0774d12512b3f75036f5c61b6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#a495710f0774d12512b3f75036f5c61b6">GetNutritions</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> digestion_points, <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a> profile, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> water, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> energy, out <a class="el" href="../../d4/dc3/classfloat.html">float</a> toxicity)</td></tr>
<tr class="separator:a495710f0774d12512b3f75036f5c61b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a5b8929ef13232bf4125a8745f931e64d"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#a5b8929ef13232bf4125a8745f931e64d">m_Profile</a></td></tr>
<tr class="separator:a5b8929ef13232bf4125a8745f931e64d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7f15034ac1c3dc45b9d948828e3ceab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#ac7f15034ac1c3dc45b9d948828e3ceab">m_Amount</a></td></tr>
<tr class="separator:ac7f15034ac1c3dc45b9d948828e3ceab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9f9bcb2aa81ada22ac51bd13fc1b2d4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#aa9f9bcb2aa81ada22ac51bd13fc1b2d4">m_FoodStage</a></td></tr>
<tr class="separator:aa9f9bcb2aa81ada22ac51bd13fc1b2d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9d4dd2ddc6bffaf3a90f3e2b73cc371"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#ad9d4dd2ddc6bffaf3a90f3e2b73cc371">m_ClassName</a></td></tr>
<tr class="separator:ad9d4dd2ddc6bffaf3a90f3e2b73cc371"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92ab2dfd345c57b2c61945367e0a935a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html#a92ab2dfd345c57b2c61945367e0a935a">m_Agents</a></td></tr>
<tr class="separator:a92ab2dfd345c57b2c61945367e0a935a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00001">1</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab2fdb9994ce5f0e5e3b3bae3009335a6" name="ab2fdb9994ce5f0e5e3b3bae3009335a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2fdb9994ce5f0e5e3b3bae3009335a6">&#9670;&#160;</a></span>StomachItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StomachItem::StomachItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>class_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>amount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&#160;</td>
          <td class="paramname"><em>profile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>foodstage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>agents</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00010">10</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ade6344a006d824fc08ee3117a34f2abf" name="ade6344a006d824fc08ee3117a34f2abf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade6344a006d824fc08ee3117a34f2abf">&#9670;&#160;</a></span>AddAgents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StomachItem::AddAgents </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>agents</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00060">60</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ad9e616373cc7ef2d0ebd537fd61ee217" name="ad9e616373cc7ef2d0ebd537fd61ee217"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9e616373cc7ef2d0ebd537fd61ee217">&#9670;&#160;</a></span>AddAmount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StomachItem::AddAmount </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>amount</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00055">55</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a65c0eca6339c452c19b82494c289c5a8" name="a65c0eca6339c452c19b82494c289c5a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65c0eca6339c452c19b82494c289c5a8">&#9670;&#160;</a></span>GetAmount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> StomachItem::GetAmount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00049">49</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a7960077b90dd472b3f11ccfa065124ef" name="a7960077b90dd472b3f11ccfa065124ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7960077b90dd472b3f11ccfa065124ef">&#9670;&#160;</a></span>GetClassName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> StomachItem::GetClassName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00020">20</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a26e6422ca538f2673c6938250ec3f397" name="a26e6422ca538f2673c6938250ec3f397"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26e6422ca538f2673c6938250ec3f397">&#9670;&#160;</a></span>GetFoodStage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> StomachItem::GetFoodStage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00038">38</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a495710f0774d12512b3f75036f5c61b6" name="a495710f0774d12512b3f75036f5c61b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a495710f0774d12512b3f75036f5c61b6">&#9670;&#160;</a></span>GetNutritions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> StomachItem::GetNutritions </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>digestion_points</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&#160;</td>
          <td class="paramname"><em>profile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>water</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>energy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>toxicity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00076">76</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a8f2840c5f65dd814fba9ad09ce4a69db" name="a8f2840c5f65dd814fba9ad09ce4a69db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f2840c5f65dd814fba9ad09ce4a69db">&#9670;&#160;</a></span>ProcessDigestion()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> StomachItem::ProcessDigestion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>digestion_points</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>water</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>energy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>toxicity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>agents</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>consumed_amount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00067">67</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a3d0b3cb146a12a233c5b01783a68c523" name="a3d0b3cb146a12a233c5b01783a68c523"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d0b3cb146a12a233c5b01783a68c523">&#9670;&#160;</a></span>SetFoodStage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StomachItem::SetFoodStage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>food_stage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00043">43</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a92ab2dfd345c57b2c61945367e0a935a" name="a92ab2dfd345c57b2c61945367e0a935a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92ab2dfd345c57b2c61945367e0a935a">&#9670;&#160;</a></span>m_Agents</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> StomachItem::m_Agents</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00008">8</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ac7f15034ac1c3dc45b9d948828e3ceab" name="ac7f15034ac1c3dc45b9d948828e3ceab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7f15034ac1c3dc45b9d948828e3ceab">&#9670;&#160;</a></span>m_Amount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> StomachItem::m_Amount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00004">4</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ad9d4dd2ddc6bffaf3a90f3e2b73cc371" name="ad9d4dd2ddc6bffaf3a90f3e2b73cc371"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9d4dd2ddc6bffaf3a90f3e2b73cc371">&#9670;&#160;</a></span>m_ClassName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> StomachItem::m_ClassName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00007">7</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="aa9f9bcb2aa81ada22ac51bd13fc1b2d4" name="aa9f9bcb2aa81ada22ac51bd13fc1b2d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9f9bcb2aa81ada22ac51bd13fc1b2d4">&#9670;&#160;</a></span>m_FoodStage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> StomachItem::m_FoodStage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00005">5</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a5b8929ef13232bf4125a8745f931e64d" name="a5b8929ef13232bf4125a8745f931e64d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b8929ef13232bf4125a8745f931e64d">&#9670;&#160;</a></span>m_Profile</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a> StomachItem::m_Profile</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00003">3</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/<a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/d9e/class_stomach_item.html">StomachItem</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
